
#ifndef GENERAL_CONF_WIDGET_H
#define GENERAL_CONF_WIDGET_H

#include <KConfigGroup>
#include <QWidget>

#include "queryconfiguration.h"
#include "ui_generalconfwidget.h"

class GeneralConfWidget : public QWidget {
    Q_OBJECT
public:
    GeneralConfWidget(KConfigGroup & group, QWidget* parent = NULL);

public slots:
    void slotSaveSettings();

private:
    void loadConfigurations();

private slots:
    void slotNewConf();
    void slotEditConf();
    void slotEnableControls();
    void slotDownload();
    void slotImport();
    void slotExport();
    void slotSetCurrent();

private:
    Ui::GeneralConfWidget m_widget;
    KConfigGroup m_group;
};

#endif // GENERAL_CONF_WIDGET_H
